#include <vstgui.sf/vstgui/vstcontrols.h>

#define CTEXT_AREA_SIZE 5000

class CTextArea : public CControl
{
public:
	CTextArea (const CRect &size, const long style = 0);
	virtual ~CTextArea ();
	virtual void draw (CDrawContext *pContext);
    void setText (char *txt);
	char* getText(void);

	void *platformFontColor;

	CLASS_METHODS(CTextArea, CControl)


protected:
	void drawText (CDrawContext *pContext, char *string);

	void    *platformControl;
	char    text[CTEXT_AREA_SIZE];
	void    *platformFont;
	long    style;

	CFont    fontID;
	CTxtFace txtFace;
	CColor   fontColor;
	CColor   backColor;
};

