#pragma once
#include <vstgui.sf/vstgui/vstgui.h>
#include "ctextarea.h"
#include "ctextbutton.h"

class Editor : public AEffGUIEditor, public CControlListener
{
public:
	Editor (AudioEffect *effect);
	~Editor ();
	void idle();
protected:
	bool open (void *ptr);
	void close ();
    void valueChanged (CDrawContext* context, CControl* control);
    void convert(char* src, char* dst);
    void urlencode(char* src, char* dst);

	CTextArea* inArea;
	CTextArea* outArea;
};
